payments.getPremiumGiftCodeOptions
Obtain a list of Telegram Premium giveaway/gift code » options.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Obtain a list of Telegram Premium giveaway/gift code » options.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.getPremiumGiftCodeOptions" \ -H "Content-Type: application/json" \ -d '{ "params": {} }'{ "result": { "_": "premiumGiftCodeOption", "users": 0, "months": 0, "storeProduct": "string", "storeQuantity": 0, "currency": "string", "amount": "string" }}getPaymentReceipt
Get payment receipt
getResaleStarGifts
Get [collectible gifts](https://core.telegram.org/api/gifts#collectible-gifts) of a specific type currently on resale, see [here »](https://core.telegram.org/api/gifts#reselling-collectible-gifts) for more info. sort_by_price and sort_by_num are mutually exclusive, if neither are set results are sorted by the unixtime (descending) when their resell price was last changed. See [here »](https://core.telegram.org/api/gifts#sending-gifts) for detailed documentation on this method.